summaryrefslogtreecommitdiffstats
path: root/diagrams/build.sh
diff options
context:
space:
mode:
authorCosta Tsaousis <costa@tsaousis.gr>2016-10-17 20:37:10 +0300
committerCosta Tsaousis <costa@tsaousis.gr>2016-10-17 20:37:10 +0300
commitdffd3b4edb8c7de3c4b68c6c7822d92d13e50ed4 (patch)
tree3f9bc3a7e5c6d26becad220dca2f993f75d44f92 /diagrams/build.sh
parentf65540f8924e9a8fa376f130bfbbbb55c34a7b9a (diff)
added diagrams using PlantUML
Diffstat (limited to 'diagrams/build.sh')
-rwxr-xr-xdiagrams/build.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/diagrams/build.sh b/diagrams/build.sh
new file mode 100755
index 0000000000..2adebfd2c9
--- /dev/null
+++ b/diagrams/build.sh
@@ -0,0 +1,17 @@
+#!/usr/bin/env bash
+
+path=$(dirname "$0")
+cd "${path}" || exit 1
+
+if [ ! -f "plantuml.jar" ]
+then
+ echo >&2 "Please download 'plantuml.jar' from http://plantuml.com/ and put it the same folder with me."
+ exit 1
+fi
+
+for x in *.puml
+do
+ echo >&2 "Working on ${x}..."
+ java -jar plantuml.jar -tpng "${x}"
+ # java -jar plantuml.jar -ttxt "${x}"
+done